#ifndef __W32DLFCN_H
#define __W32DLFCN_H

#define RTLD_LAZY	0
#define RTLD_NOW	0
#define RTLD_GLOBAL	0
#define RTLD_LOCAL	1

extern void *dlopen(const char *file, int mode);

#define RTLD_DEFAULT	((void *)0)

extern void *dlsym(void *__restrict__ handle, const char *__restrict__ name);

extern char *dlerror(void);

extern int dlclose(void *handle);

#endif /* __W32DLFCN_H */
