#include "w32dlfcn.h"
#include <stdio.h>

typedef void (*pvfv)(void);

void _fini(void)
{
  printf("lib1 finalised from dlclose()\n");
}

void function1(void)
{
  static int guard= 0;

  pvfv f1, f2;

  if (!(f1= dlsym(RTLD_DEFAULT, "function1")))	printf("lib1: global function1: %s\n", dlerror());
  if (!(f2= dlsym(RTLD_DEFAULT, "function2")))	printf("lib1: global function2: %s\n", dlerror());

  printf("lib1: func1 %p\n", f1);
  printf("lib1: func2 %p\n", f2);

  if (!guard++)
    {
      if (f1) f1();
      if (f2) f2();
    }
  guard--;

  dlclose(f2);

  if (!guard++)
    {
      if (f1) f1();
    }
  guard--;

  dlclose(f1);
}
