#include "w32dlfcn.h"
#include <stdio.h>

typedef void (*pvfv)(void);

void _init(void)
{
  printf("lib2 initialised from dlopen()\n");
}

void function2(void)
{
  static int guard= 0;

  pvfv f1, f2;

  if (!(f1= dlsym(RTLD_DEFAULT, "function1")))	printf("lib2: global function1: %s\n", dlerror());
  if (!(f2= dlsym(RTLD_DEFAULT, "function2")))	printf("lib2: global function2: %s\n", dlerror());

  printf("lib2: func1 %p\n", f1);
  printf("lib2: func2 %p\n", f2);

  if (!guard++)
    {
      if (f1) f1();
      if (f2) f2();
    }
  guard--;

  dlclose(f2);

  if (!guard++)
    {
      if (f1) f1();
    }
  guard--;

  dlclose(f1);
}
